<?php
require_once('../classes/body.class.php');
require_once('../classes/db.class.php');
require_once('../classes/system.class.php');
$title= new Body;
$title->SetTitle('Служба поддержки - Создать тикет');
$title->GetHeader();
echo'<div class="tile"><div class="t-header th-alt bg-teal"><div class="th-title"><i class="zmdi zmdi-widgets"></i><a href="/"style="text-decoration:none; color:white;"> Главная</a> ::  <a href="/support"style="text-decoration:none; color:white;">Служба поддержки</a> ::  Создать тикет</div></div>';

if (isset($_POST['add'])) {
if($b == true) {
$list = ['name' => isset($_POST['name']) ? check($_POST['name']) : null, 'text' => isset($_POST['text']) ? check($_POST['text']) : null, 'cat' => isset($_POST['cat']) ? (int)$_POST['cat'] : null];
if (!$list['name'] OR !$list['text'] OR !$list['cat']) {
err('Заполните все поля!');
} else {
DB::$dbs->query("INSERT INTO `support` SET `name` = ?, `text` = ?, `user_id` = ?, `cat` = ?, `type` = ?, `time` = ?", [$list['name'],$list['text'],$b['id'],$list['cat'],1,time()]);
$id = DB::$dbs->lastInsertId();
echo '<div class="list-group-item media">Тикет создан!<br/><a href="view.html?id='.$id.'">Перейти к нему</a></div>';
$title->GetMenu();
$title->GetFooter();
die();
}
}
}
echo '<div class="list-group-item media"><form action="#" method="POST">Название:<br/><input class="form-control" type="text" name="name"/><br/>Обращение:<br/></br>';
quickpaste('text');
quickpanel();
echo'<br/><br/><textarea class="form-control" rows="8"name="text"></textarea><br/>Категория:<br/><select class="form-control input-lg" name="cat">';
$list_cat = [1 => 'Оплата через WEBMONEY/QIWI', 2 => 'Проблемы с платежами', 3 => 'Изменение ника', 4 => 'Обжалование наказаний', 5 => 'Общие вопросы', 6 => 'Восстановление пароля', 7 => 'Изменение пароля', 8 => 'Найденные ошибки', 9 => 'Случаи мошенничества', 10 => 'Финансы, биллинг', 11 => 'Служба поддержки', 12 => 'Жалобы на администрацию', 13 => 'Заявки на участие в закрытых тестированиях.']; // массив с категориями
foreach($list_cat as $list => $key) {
echo '<option value="'.$list.'">'.$key.'</option>';
}
echo '</select><br/><input class="btn btn-primary"type="submit" name="add" value="Отправить"/></form></div>';

$title->GetMenu();
$title->GetFooter();
?>